package org.zheng.demo;

import java.util.Arrays;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

public class TestLoopArray {

	private String[] stringArray;

	@Test
	void loop_via_do_while() {
		int idx = 0;
		do {
			System.out.println(stringArray[idx]);
			idx++;
		} while (idx < stringArray.length);
	}

	@Test
	void loop_via_for() {
		for (String str : stringArray) {
			System.out.println(str);
		}
	}

	@Test
	void loop_via_stream() {
		Arrays.asList(stringArray).stream().forEach(s -> System.out.println(s));
	}

	@Test
	void loop_via_while() {
		int idx = 0;
		while (idx < stringArray.length) {
			System.out.println(stringArray[idx]);
			idx++;
		}
	}

	@BeforeEach
	void setup() {
		stringArray = new String[] { "terry", "Mary", "John", "Bob" };

	}
}
