package org.zheng.demo;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertTrue;

import java.util.Arrays;

import org.junit.jupiter.api.Test;

public class TestSearchArray {

	@Test
	void test_binarySearch() {
		String[] stringArray = new String[] { "terry", "Mary", "John", "Bob" };
		Arrays.sort(stringArray, (s1, s2) -> s1.compareTo(s2));
		int foundIdx = Arrays.binarySearch(stringArray, 0, 3, "Bob", (s1, s2) -> s1.compareTo(s2));
		assertEquals(0, foundIdx, "should find \"Bob\" at the first element");

	}

	@Test
	void test_parallelSort() {
		int[] intArray = new int[2000];
		for (int i = 0; i < 2000; i++) {
			intArray[i] = (int) (Math.random() * 1000);
		}

		Arrays.parallelSort(intArray);
		for (int j = 0; j < 2000 - 1; j++) {
			assertTrue(intArray[j] <= intArray[j + 1]);
		}

		int found520 = Arrays.binarySearch(intArray, 520);
		System.out.println("the 520 is found at the intArray at position:" + found520);
	}

}
